Subject: [SWIPL] Prolog/C++ interface with DevStudio 6

From: "Aaron St.John" <[email-masked]>
Date: Fri, 13 Jul 2001 05:30:30 -0400

Hi, I'm just learning how to develop with SWI-Prolog's interface to C++ (SWI-cpp)and I've been having trouble compiling and running the demos. I'm using Devstudio 6.0 as my development enviornment so I'm trying to figure out how to get the demos compilied and running from there. So far I've gotten the test program compiled and running, but it doesn't seem to be working, basically I don't think it's compiling and recognizing the prolog portion of the program ,because it doesn't recognize the querys I enter at the command line. My problem I think is that I need to use the plld program from the SWI release to build the program so that it compiles in the prolog as well as the c++. Unfortunatly it seems like the plld program is geared towards the gcc/g++ compiler, which is obviously not the same as the Devstudio 6 compiler. My question is does anyone know how to compile a prolog/c++ program from Devstudio 6 or does anyone know how to use the output of plld with a devstudio project (can I simply link in the output of plld as a dll???). Thanks very much..
-Aaron